#include "run-time.h"

void _Init_dfmc_harp_native_cg_ () __attribute__((constructor));
void _Init_dfmc_harp_native_cg_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_harp_cg_linker_();
  extern void _Init_dfmc_harp_cg_();
  extern void _Init_harp_native_();
  extern void _Init_io_();
  extern void _Init_common_dylan_();
  extern void _Init_dfmc_harp_native_cg__X_library_for_system();
  extern void _Init_dfmc_harp_native_cg__X_back_end_for_system();
  extern void _Init_dfmc_harp_native_cg__X_calls_for_system();
  extern void _Init_dfmc_harp_native_cg__X_epilog_for_system();
  extern void _Init_dfmc_harp_native_cg__X_ops_for_system();
  extern void _Init_dfmc_harp_native_cg__X_primitives_for_system();
  extern void _Init_dfmc_harp_native_cg__X_linker_for_system();
  extern void _Init_dfmc_harp_native_cg__X_library_for_user();
  extern void _Init_dfmc_harp_native_cg__X_back_end_for_user();
  extern void _Init_dfmc_harp_native_cg__X_calls_for_user();
  extern void _Init_dfmc_harp_native_cg__X_epilog_for_user();
  extern void _Init_dfmc_harp_native_cg__X_ops_for_user();
  extern void _Init_dfmc_harp_native_cg__X_primitives_for_user();
  extern void _Init_dfmc_harp_native_cg__X_linker_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_harp_cg_linker_();
    _Init_dfmc_harp_cg_();
    _Init_harp_native_();
    _Init_io_();
    _Init_common_dylan_();
    _Init_dfmc_harp_native_cg__X_library_for_system();
    _Init_dfmc_harp_native_cg__X_back_end_for_system();
    _Init_dfmc_harp_native_cg__X_calls_for_system();
    _Init_dfmc_harp_native_cg__X_epilog_for_system();
    _Init_dfmc_harp_native_cg__X_ops_for_system();
    _Init_dfmc_harp_native_cg__X_primitives_for_system();
    _Init_dfmc_harp_native_cg__X_linker_for_system();
    _Init_dfmc_harp_native_cg__X_library_for_user();
    _Init_dfmc_harp_native_cg__X_back_end_for_user();
    _Init_dfmc_harp_native_cg__X_calls_for_user();
    _Init_dfmc_harp_native_cg__X_epilog_for_user();
    _Init_dfmc_harp_native_cg__X_ops_for_user();
    _Init_dfmc_harp_native_cg__X_primitives_for_user();
    _Init_dfmc_harp_native_cg__X_linker_for_user();
  }
}
